Overview

Sax CommStudio makes it easy to let your application communicate using the serial port and modems. Because Sax CommStudio supports both event-driven and script-driven programming models, you can choose the design that works optimally with with your application and minimizes processor usage.

This help file covers the ActiveX/COM components included with Sax CommStudio. Information on the .NET version of Sax CommStudio components is available in a separate help file that is available under the Start menu, All Programs, Sax CommStudio.

The ActiveX components are only available in Sax CommStudio Professional Edition.

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


Registration and Support

It's important to register your software immediately after your purchase. Registering your software gives you several important advantages:

  • Obtain the latest versions including fixes and enhancements.
  • Protect against loss in case you misplace your serial number.
  • Obtain technical support and assistance with your product.
  • Receive notification when updates and fixes become available.

To register your copy of the Sax CommStudio, please visit http://www.Sax.net/Register.

Getting Assistance

Sax.net offers a variety of support options for your convenience:

  • Search the Solutions Library
    Obtain information and answers from an extensive database collected from Sax support engineers, solution partners, and customers.
  • Browse the Software Library
    Download updates and samples, and check revision history.
  • Support Watch
    Receive an e-mail notification when new builds become available, and when existing issues are resolved.
  • Submit an Incident
    Report your problem online to the help desk

All technical supports starts at the Sax.net website. Please visit http://www.Sax.net/Support for details.


Developer's Guide

The developer's guide teaches you how to get started. It explains how you can use the components with Visual Basic 6 and it contains information on how to deploy your application once it's finished.


Communications Primer


About Serial Ports

On most systems, the serial ports on your system will range from COM1 to COM4. Not all communications ports use the same naming scheme, however. If you have a specific board that supports a large number of ports, your ports may be called something completely different. Please consult the documentation of the hardware you are using and check the Windows Control Panel for details.

Using the Sax CommStudio you can control both RS232 and RS485 serial ports. RS232 ports are the most commonly used serial port and connect to a single device. RS485 is a slightly more advanced type of port that lets you connect multiple devices.

It's possible that some "serial ports" available on your computer are virtual and don't directly connect to a physical port. Instead, they may emulate a port that resides on a different computer on the network, or they may let you connect to a virtual device over an infra-red connection. The communications classes use whichever Windows communications is installed on the system, and will consequently work with most of these devices.


Connection Options

Serial ports have existed for a long time, and the technology has evolved with the advancements in devices and modems. There are thousands of ways to open a serial connection using different options. It is essential that both sides of a connection use exactly the same options. Otherwise, each side will either receive garbage or no data at all.

The most commonly used communications options are:

  • The baudrate which is the connection speed. The connection speed is typically expressed in bits per seconds.
  • The number of databits indicates how many bits each character should hold. In most case eight databits is the perfect choice. Some older networks or terminal connections may require you to use seven data bits, using the eight bit for error checking.
  • In cases where you only use seven databits, the extra available bit is typically used for parity checking. This provides a simple way to add error checking: for example, with "even parity", the eight bit will be set if the number of bits that are set in the lower seven bits is even.
  • Handshaking or flow control determines how both sides tell each other when they are ready to receive data, or when they are unable to process additional data.

As long as all options are identical on both sides of the connection, everything will work great. A small difference can cause communications to break down completely.


Event Driven vs. Script Driven

There are two approaches to writing serial communications code: script-driven or event-driven code.

Script-driven programs

The script-driven approach works well in situations where you have to make a connection, perform a number of steps, and disconnect. For example, you could call a server, log in, check if new data is available and disconnect.

The Sax CommStudio communications component contains several properties and methods that make writing automated scripts very easy. The component can wait for a number of strings you specify and will return which one of them was received. You can then send the appropriate response to the host computer and wait for the next string.

There are two ways for the component to wait for data to come in from the port. The most efficient mode puts the current thread in a wait state until a communications event occurs. This has one important side effect: If you write are writing a Windows Forms applicaiton and you're calling the function from your main thread, the application will not process any keyboard or mouse clicks or even redrawing events and will appear frozen. To remedy this you can use the second type of waiting, which is more processor intensive but continues to process UI while waiting.

Event-driven programs

Script-driven programs are great when you want to be in control. In many cases, however, your system is just waiting to process input from a device. In the mean time your application just sits there waiting. If you want to let the device wake you up when it has data to process, you'll want to write an event-driven application.

Sax CommStudio has an event which is fired when data becomes available in the communications buffer. This means you don't have to constantly poll the device, but instead you get called when it's time to process data. You can process the data, send a response or an acknowledgement to the device. When the even routine is complete, the program will return to what it was doing when the event was fired.


Glossary Item Box

Sax CommStudio ActiveX Components Send comments on this topic.

Getting Started

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


Adding the Control to your Project

This section covers what a comm object is and how you can access the comm port from your application. It also discusses how to control the communications port, how to send and receive bytes, and how to obtain status information.

What is a comm object?

A comm object is a custom control that serves as the interface between a communications port and your program. The comm object contains the current state of the port and provides a number of properties that control the port or that retrieve information about the port’s current state.

Although a comm object can interface with any communications port in your system that Windows can access, you cannot use the same comm object to access two comm ports simultaneously. To obtain simultaneous access, you must create a new comm object for each port.

One of the most important things to know about a comm object is that it is a custom control on a form; therefore, the comm object exists only when the form (or forms) to which it belongs exist. A comm object can be hidden (and usually will be if you don’t use terminal emulation), but it is always a custom control. When the form is closed, each comm object is automatically destroyed, cleans up, and closes the comm port if it was left open.

Creating a comm object in Visual Basic

The way you create a comm object depends on the programming language and class library you’re using. You can create as many comm objects in your application as you like; you need one comm object for each port you want to control simultaneously.

Adding Sax CommStudio to your project

First, make sure that the Sax CommStudio custom control is part of your project. Start Visual Basic with your project and choose Tools | Components for VB4 or Project | Components for VB5 and VB6, and choose “Sax CommStudio” and click OK.

Drawing a comm object on your form

After you've added the control to your project, the Sax CommStudio icon appears in the Visual Basic Toolbox window.

To put a comm object on the form, click on the new Sax CommStudio icon and draw a control on the form. Even if you don’t want to use the terminal-emulation features, you still have to put a control on your form. If you’re not going to use the built-in terminal window, set the Visible property to False. This makes the control invisible at runtime.


Formless Operations

This section covers how you can access the comm port from your application without having to add the control to a form. Sax CommStudio can be used in your project or in an ASP page very easily by using it as an ActiveX object.

Using Dim to create a communications control

Using Visual Basic, choose the Project | References menu. Check the Sax CommStudio reference, and click OK. This will add the Sax CommStudio type library information to your project. Now you can declare the object as follows:

Dim WithEvents SaxComm As New SaxComm
SaxComm.PortOpen = True

If you wish to intercept events, you can also use Dim WithEvents to declare the object. This will add the newly declared object to the list of objects in the upper left drop-down box, and let you choose an event from the upper right drop-down list, just like a control. Make sure the Dim WithEvents declaration is in the beginning of your module, or Visual Basic will generate an error.


Basic Communications

After you have created a comm object, you’re ready to set the initial communications properties. The most important ones are the comm port, baud rate, parity, stop bits, data bits, and handshaking. We discuss these settings in this section. For further details, please refer to the appropriate entries in the Reference section.

Selecting the comm port

To specify which serial communications port the comm object should interface with, set the CommPort property. For backward compatibility with the MSComm control, the port number you specify is one-based number that corresponds to a communications port. For example, 1 indicates COM1, 2 indicates COM2, etc. You can also assign a string that contains the name of the communications port (such as "COM1") to the CommPort property.

If you are using modems, you can also assign the modem name to the CommPort property. All available serial ports and modems are listed in the CommPorts collection.

Assigning an empty string to the CommPort property will select the first available modem in your system.

Baud rate, parity, data bits, and stop bits

The Settings property is used to control the comm object’s baud rate, parity type, and the number of data bits and stop bits. The string that this property takes as a parameter is similar to the one you use in a DOS MODE statement. For example, to set the current comm settings to 9600 bps, no parity, eight data bits, and one stop bit, use
SaxComm.Settings = "9600,n,8,1"
You can change the Settings property any time, whether the port is open or not. To use the default settings, you can leave one or more items blank. For example:
SaxComm.Settings = ",e,7,1" ' use default speed, but 7 databits and even parity
or:
SaxComm.Settings = "" ' use all default settings

Handshaking

You can use the Handshaking property to change the method used by the comm object for handshaking. For example, to set the handshaking to XOn/XOff, you enter:
SaxComm.Handshaking = Handshaking_XonXoff

Opening and closing the comm port

After you have put a comm object on the form and have set the initial port parameters, it’s time to open the communications port. This is simple: you just set the PortOpen property to True.

If the comm object is able to open the port successfully, the PortOpen property is set to True. If it fails, PortOpen will be false. To open the communications port and check whether your attempt was successful, you can write
SaxComm.PortOpen = True
If Not SaxComm.PortOpen Then
  MsgBox "Can't open the communications port!"
End If
To close the port, set the PortOpen property to False:
SaxComm.PortOpen = False

Writing to the comm port

To write to the comm port, assign a string value to the Output property. For example, if you want to send “Hello modem” to the communications port, use:
SaxComm.Output = "Hello modem"
When you assign a value to the Output property, the characters are put in the output buffer. From there, they are sent to the communications port as quickly as possible. This means that when the line of code that follows your Output property assignment is executed, the characters you want to write have probably not yet been written to the comm port. To append a carriage-return after the string you want to output, you can also use the OutputLine property. OutputLine sends the string to the communications port but appends a Chr(13) combination to it, so that
SaxComm.OutputLine = "Hello modem"
is equivalent to
SaxComm.Output = "Hello modem" + Chr(13)
When you need to write binary data, you can also create an Array of Byte values, and assign it to the Output property:
Sub SendATCommand
  Dim BinaryData(3) as Byte
  BinaryData(0) = Asc("A")
  BinaryData(1) = Asc("T")
  BinaryData(2) = 13
  SaxComm1.Output = BinaryData
End Sub

Reading from the comm port

To read characters from the communications port, you can use the following properties:

Property | Description
Input | Reads characters from the communications port.
InputLen | Specifies the number of characters that should be read.
InputMode | Specifies the type of data the Input property will return.
InTimeOut | Specifies the number of milliseconds the communications object should wait for characters if fewer than InputLen characters are available in the input buffer.

When you access the Input property, up to InputLen characters will be read from the communications port. These characters are returned as the value of the Input property. If fewer than InputLen characters are available in the input buffer, the control waits for the number of milliseconds specified in InTimeOut.

To read up to 20 characters from the communications port, and return the result in a string, use:
SaxComm.InputMode = InputMode_Text
SaxComm.InTimeOut = 4000  ' wait up to 4 seconds
SaxComm.InputLen = 20     ' read up to 20 characters
Result$ = SaxComm.Input

If fewer than 20 characters are in the input buffer, the communications control waits for up to four seconds and returns as many bytes as it can retrieve.

The LineInput property is handy when you need to get input from the communications port one line at a time. When you access the LineInput property, it reads up to 255 incoming characters until it encounters a carriage-return [Chr(13)] or a line-feed [Chr(10)] character.

If no carriage-return character is in the input buffer, the control waits for it up to InTimeOut milliseconds. If none is found within that time, LineInput contains the contents of the input buffer. For example:
SaxComm.InTimeOut = 30000   ' Wait up to 30 seconds
Password$ = SaxComm.LineInput
The return value type of the Input property depends the InputMode property. If this property is set to InputMode_Text, the Input property will return a string value, as shown in the example above. If you need to read binary data, you can set the InputMode property to InputMode_Binary, and the Input property will return an Array of Byte values:
SaxComm.InputMode = InputMode_Binary
Dim BinaryInput() As Byte
BinaryInput = SaxComm.Input
Debug.Print "Input returned " & UBound(BinaryInput) & " bytes."


File Transfers

Sax CommStudio provides a number of different file-transfer protocols that allow you to transfer files from your PC to another PC, to a mini-computer, or to an online service.

Choosing a transfer protocol

Before you start a file transfer, the comm object needs to know which file-transfer protocol it should use. Sax CommStudio supports XModem Checksum, XModem CRC, XModem 1K, YModem, Kermit, and Zmodem file transfers.

To set the current file-transfer protocol, set the XferProtocol property. This property uses constants that are defined in the Sax CommStudio include file. For example:
SaxComm.XferProtocol = Protocol_ZModem
Do not change the file-transfer protocol when you are in the middle of a file transfer. If you do, the change takes effect only after the current file transfer has been terminated and a new one has started.

Starting a transfer

The property you use to start a file transfer depends on whether you want to upload (send) or download (receive) a file. Assigning values to the Upload and Download properties starts a file transfer or, if a file transfer is pending, adds a new file to the queue of files to be transferred.

After assigning values to Upload and Download, control resumes at the next statement. The comm object doesn't wait until the transfer is finished. The file transfer does its work in the background, and you don’t have to do anything special to keep it going.

Sending files

Assigning a filename to the Upload property tells the file-transfer engine that the file you specify should be uploaded. To upload multiple files in a batch, you can assign different values to the Upload property:
SaxComm.Upload = "File1.zip"
SaxComm.Upload = "File2.zip"

Receiving files

The Download property is very similar to Upload. It also takes a parameter that is a long pointer to the name of the file that should be downloaded. If you assign an empty string, the file transfer’s action depends on the protocol you use:
  • If you use a batch protocol such as YModem or ZModem, the file-transfer engine uses the filename supplied by the other computer.
  • A nonbatch protocol such as XModem causes the transfer engine to make its own filename, "untitled.xxx," where xxx is 000, 001, 002, etc.
To download multiple files in a batch, set the Download property a few times in a row:
SaxComm.Download = "File1.zip"
SaxComm.Download = "File2.zip"
You have to assign a value to the Download property more than once only if you want to override the name of the files you download. If you are using a batch protocol and don’t want to change the filename that the host computer provides, one call to Download is sufficient to download the entire batch of files.

Status Information

During a file transfer, you might want to display transfer-status information in a window so that the user can follow the progress of the file transfer. Sax CommStudio offers you two ways of doing this. The easy way is to use the built-in transfer-status dialog box. If you want more control, you can hide the default status dialog and display your own.

Using the default status dialog box

You can activate Sax CommStudio’ built-in file-transfer-status dialog box by using the XferStatusDialog property.
SaxComm.XferStatusDialog = XferDialog_Modeless
or
SaxComm.TransferDialogType = XferDialog_Modal
If you use XferDialog_Modal, the dialog box will be modal, which means that it is the only window in your application that the user can access. If you use XferDialog_Modeless, the dialog box is modeless, which means that users will be able to access other windows in your application.

Build your own status dialog

If you would like to display your own file-transfer information instead of using the built-in functionality, you can make the default transfer dialog invisible by using
SaxComm.TransferDialogType = XferDialog_Hidden
The XferStatus property indicates which stage the file transfer is in. You should compare the value of this property to the constants. You can use the XferSourceFilename and XferDestFilename properties to retrieve the name of the file that is currently being transferred. XferSourceFilename returns the name of the file that’s being read. To report the transfer progress, you can use the XferTransferred and XferFileSize properties.

Terminating a file transfer

Normally, a file transfer terminates automatically when nothing is left to transfer or when a serious error occurs. To abort the file transfer manually from within your program, use the AbortTransfer property.
SaxComm.AbortTransfer = True
Setting the AbortTransfer property to True informs the file-transfer engine that you want to abort the transfer, but it takes time for the transfer engine to inform the other computer and clean up properly. The file transfer is probably not entirely finished immediately after you set AbortTransfer to True. If you want to make sure that the file transfer is finished, use the following code:
SaxComm.AbortTransfer = True
While SaxComm.XferStatus > 0
  DoEvents
Wend


Terminal Emulation

Sax CommStudio contains built-in emulations of TTY, ANSI, VT52, and VT100 terminals. It also provides different levels of control for you: You can instruct a comm object to handle everything automatically so you don’t have to worry about anything, or you can handle serial and keyboard input manually. There are also low-level properties that let you write your own terminal emulation.

Showing a terminal window

Because a comm object is actually a custom control, it is used directly to display the terminal contents. To indicate which terminal emulation you would like to use, you can call the Emulation property:
SaxComm.Emulation = Emulation_Ansi

Writing to the terminal window

To write to the terminal window, use the Display property. This property writes directly to the terminal window and does not access the comm port. If you want to include a new line after the string, you can use the DisplayLine property. For example:
SaxComm.Display = "Hello World" & Chr(13) & Chr(10)
is equivalent to
SaxComm.DisplayLine = "Hello World"

Output Echo

When Output Echo is on, everything you write to the comm port is also written to the terminal window. If you are connected to a server or to a mini computer, the characters you write are usually echoed back, so Output Echo is not necessary. Output Echo is used primarily for host systems such as a bulletin boards.
SaxComm.Echo = False
By default, Output Echo is off.

Input Echo

If you are writing a program that automatically accesses a host computer and you would like to let the user follow the progress on the terminal screen, you can use InputEcho to display all incoming characters on the terminal window automatically.

When you read a property like Input, LineInput, or LookUp, everything that is read appears on the terminal when InputEcho is true.
SaxComm.InputEcho = True
If you use the LookUp property and Input Echo is on, all characters that are read will be displayed on the terminal screen—even the ones that have been discarded.

Automatic Processing

If you want to avoid extra work, you can tell the comm object to process the serial or the keyboard input it receives. To do this, use the AutoSend and AutoReceive properties. For example, to turn on autoprocessing of both keyboard and serial input, call:
SaxComm.AutoSend =  True    'Send keyboard input
SaxComm.AutoReceive = True  'Process serial input

When AutoSend is True, the comm object interprets every keystroke that the terminal window receives using the current terminal emulation. The comm object then sends the appropriate response to the comm port.

When AutoReceive is True, the comm object automatically reads everything from the comm port and writes it to the terminal using the current emulation.

Note that when serial autoprocessing is on, you cannot use the other input properties to read from the comm port, because comm input is being processed automatically by the control.When you want to use one or more of the other input properties, set AutoSend or AutoReceive to False.

Automatic Scrolling

If the window is too small to display the entire terminal screen, horizontal and vertical scrollbars appear. In a typical terminal-emulation session, the position of the terminal cursor changes frequently.

You can instruct the comm object to scroll to a position that keeps the current row or column visible. To do this, you call the AutoScrollRow, AutoScrollColumn and AutoScrollKeyboard properties:

Property | Description
AutoScrollColumn | Determines wheter the control should scroll to make the current column visible when something is printed to the terminal.
AutoScrollKeyboard | Determines whether the control should scroll to make the cursor visible when a key is pressed.
AutoScrollRow | Determines whether the control should scroll to make the current row visible when something is printed to the terminal.

When you set horizontal and vertical scrolling to automatic, the terminal scrolls to keep the terminal cursor visible whenever input arrives in the comm port. If the terminal window is too narrow, this could create a "bouncing" effect. To avoid this, use the following settings:
SaxComm.AutoScrollRow = True
SaxComm.AutoScrollColumn = False
SaxComm.AutoScrollKeyboard = True
These settings let the terminal window scroll vertically whenever serial input comes in, but scroll horizontally only in response to the user pressing a key.

Changing the terminal size

By default, the size of the terminal screen is 80 columns by 25 rows. For certain terminal emulations, you might need a different terminal size. You can change this using the Columns and Rows properties.
SaxComm.Columns = 132

Scrollback buffer

If you’re displaying a long list of information on the terminal screen, you might want to review the data that has scrolled off the terminal. If you set the ScrollRows property, you can install a scrollback buffer that the user can access by pressing Page Up or by using the terminal window’s vertical scrollbar. For example, to create a scrollback buffer of 100 rows, use
SaxComm.ScrollRows = 100
When you’re browsing through the scrollback buffer, pressing the Esc key returns you to the normal terminal screen.

File capture

Sax CommStudio can automatically generate a log file of all terminal activity. This is done by setting the CaptureFilename property.
SaxComm.CaptureFilename =  "C:\TERMINAL.LOG"
To turn off file capturing, assign an empty string to it:
SaxComm.CaptureFilename =  ""
There are three methods for capturing a file:
  • The binary method dumps everything that is sent to the terminal, including terminal codes, to the file.
  • The standard method filters out control codes before data is written to the file.
  • The visible method writes everything to the file as it appears on the screen.

The visible method is particularly useful when you’re calling bulletin board systems that use ANSI screen painters. A filtered or binary log spreads information randomly across the screen, making it hard to read. But a visible log makes the information look just like the screen you saw in the terminal window—except that this one is not in color.

To determine which method is used to filter the characters written to the capture file, use the CaptureMode property.


Working with Modems

Your PC can have a direct connection to another computer, or you can have two computers use a modem to communicate over the phone system. Sax CommStudio supports the Windows Telephony API (TAPI) and will automatically use the modems that were defined in the Windows control panel. This plug and play feature means that your end-users can start using your app right away, without the need to configure modem settings.

Selecting a modem

When you assign an empty string to the CommPort Property, the control will select the first available modem and assign it to CommPort property.

The CommPorts property contains a list of all serial communications ports and modems available in the system. You can use it to let the user choose a device to connect through. For example, if you have a form that has a drop-down control (Combo1) and an OK button (btnOK), you would use the following code:

Private Sub Form_Load()
    Dim PortName

    For Each PortName In SaxComm1.CommPorts
        Combo1.AddItem PortName
    Next
    Combo1.Text = SaxComm1.CommPort
End Sub

Private Sub btnOK_Click()
    SaxComm1.CommPort = Combo1.Text
End Sub

Dialing a number

First make sure the CommPort Property contains the name of an active modem. Then, you can assign a number to the PhoneNumber property and set the PortOpen property to True. If a connection was made successfully, the PortOpen property will return True. Otherwise, the PortStatus property will return an error
SaxComm1.CommPort = ""   ' Select default modem
SaxComm1.PhoneNumber = "555-5555"
SaxComm1.PortOpen = True
If Not SaxComm1.PortOpen Then
   MsgBox SaxComm1.PortStatus
EndIf

Canceling a dial or hanging up

When dialing, the Sax CommStudio control will allow other applications and the user interface of your app to function. This means that while dialing, the user may press a button, and the button's click event will be called. If you wish to cancel the dial inside this event, you can set the PortOpen property to False.
Private Sub btnCancel_Click()
    SaxComm1.PortOpen = False
End Sub
To terminate an existing connection and hang up the phone, you can also set the PortOpen property to False.

Locations

Windows Telephony allows the user to define a number of locations that indicate the country/region code and area code the user is dialing from. This simplifies dialing, because the Windows Telephony API will automatically determine what digits need to be dial to reach a specific number. The list of available locations is available from the Locations property. To set the current location you can assign one of these value to the Location property.

SaxComm1.Location = SaxComm1.Locations(1) ' Select first location

To take advantage of Windows Telephony's dialing rules, the PhoneNumber property should contain a canonical phone number. A canonical phonenumber has the following structure:

+ CountryCode Space [(AreaCode) Space] SubscriberNumber

Component | Meaning
+ | A plus sign. Indicates that the number that follows it uses the canonical format.
CountryCode | A variably sized string containing one or more of the digits "0" through "9". The CountryCode is delimited by the following Space. It identifies the country in which the address is located.
Space | Exactly one space character - Chr(32). It is used to delimit the end of the CountryCode part of an address.
AreaCode | A variably sized string containing zero or more of the digits "0" through "9". AreaCode is the area code part of the address and is optional. If the area code is present, it must be preceded by exactly one ASCII left parenthesis character "(", and be followed by exactly one ASCII right parenthesis character ")" and one ASCII Space character Chr(32).
SubscriberNumber | A variably sized string containing one or more of the digits "0" through "9". It may include other formatting characters as well, including any of the dialing control characters described in the Dialable Address Format: AaBbCcDdPpTtWw*#!,@$? The subscriber number should not contain the left parenthesis or right parenthesis character (which are used only to delimit the area code), nor should it contain the "|", "^", or any control characters. Most commonly, nondigit characters in the subscriber number would include only spaces, periods ("."), and dashes ("-").
For example, to dial Sax Software's main switchboard telephone number and take advantage of Windows Telephony's dial rules:

SaxComm1.PhoneNumber = "+1 (541) 344-2235"
SaxComm1.PortOpen = True

Answering incoming calls

If you are writing a server application, and you want your computer to answer incoming calls, set the AnswerCalls property to True. This will put the modem in answer mode, and as soon as a call comes in, the modem will answer it and try to establish a connection. If a connection is established, the control will generate a NewConnection event.


See Also

SaxComm Object

See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

About Method

Description

Displays the About box.

Syntax

Public Sub About()

See Also

SaxComm Object


SaxComm Object

col
row
len
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

ContentsAt Method

Description

Returns the text at the specified location

Syntax

Public Function ContentsAt( _
   ByVal col As Integer, _
   ByVal row As Integer, _
   ByVal len As Integer _
) As String

Parameters

col
row
len

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


IScriptExtension Object

PhoneNumber
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

Dial Method

Description

Dial a phone number.

Syntax

Public Function Dial( _
   ByVal PhoneNumber As String _
) As Boolean

Parameters

PhoneNumber

See Also

IScriptExtension Object


SaxComm Object

Command
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

DoCommand Method

Description

Simulates pressing a toolbar button

Syntax

Public Sub DoCommand( _
   ByVal Command As CommCommand _
)

Parameters

Command
Value | Description
CommCommand_New | New Project.
CommCommand_Open | Open Project.
CommCommand_Save | Save Project.
CommCommand_SaveAs | Save Project As...
CommCommand_Copy | Copy Selection
CommCommand_Paste | Paste to comm port.
CommCommand_Connect | Dial or connect.
CommCommand_Disconnect | Disconnect.
CommCommand_SendFile | Send File.
CommCommand_ReceiveFile | Receive File.
CommCommand_Properties | Properties.
CommCommand_Font | Font.
CommCommand_PortProperties | Modem or serial port properties.
CommCommand_SysInfo | Show communications system information.

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

PortName
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

GetPortType Method

Description

Determines the type of a communications port or modem name.

Syntax

Public Function GetPortType( _
   ByVal PortName As String _
) As PortType

Parameters

PortName

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


IScriptExtension Object

HangUp Method

Description

Disconnects the modem connection.

Syntax

Public Function HangUp() As Boolean

See Also

IScriptExtension Object


SaxComm Object

HostCLS Method

Description

Sends clear screen codes to the host

Syntax

Public Sub HostCLS()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Foreground
Background
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

HostColor Method

Description

Sends color code attributes to the host

Syntax

Public Sub HostColor( _
   ByVal Foreground As TerminalColor, _
   ByVal Background As TerminalColor _
)

Parameters

Foreground
Value | Description
Black | Black
Blue | Blue
Green | Green
Cyan | Cyan
Red | Red
Magenta | Magenta
Brown | Brown
LightGray | Light Gray
DarkGray | Dark Gray
LightBlue | Light Blue
LightGreen | Light Green
LightCyan | Light Cyan
LightRed | Light Red
LightMagenta | Light Magenta
Yellow | Yellow
White | White
Background
Value | Description
Black | Black
Blue | Blue
Green | Green
Cyan | Cyan
Red | Red
Magenta | Magenta
Brown | Brown
LightGray | Light Gray
DarkGray | Dark Gray
LightBlue | Light Blue
LightGreen | Light Green
LightCyan | Light Cyan
LightRed | Light Red
LightMagenta | Light Magenta
Yellow | Yellow
White | White

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

MaximumLength
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

HostInput Method

Description

Reads text input from the client and echos it back

Syntax

Public Function HostInput( _
   ByVal MaximumLength As Integer _
) As String

Parameters

MaximumLength

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

HostInputKey Method

Description

Waits for a keypress from the client

Syntax

Public Function HostInputKey() As Integer

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

MaximumLength
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

HostInputPassword Method

Description

Reads text input from the client and echos asteriskes back

Syntax

Public Function HostInputPassword( _
   ByVal MaximumLength As Integer _
) As String

Parameters

MaximumLength

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

row
col
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

HostLocate Method

Description

Sends cursor location codes to the host

Syntax

Public Sub HostLocate( _
   ByVal row As Integer, _
   ByVal col As Integer _
)

Parameters

row
col

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Text
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

HostPrint Method

Description

Sends text to the host

Syntax

Public Sub HostPrint( _
   ByVal Text As String _
)

Parameters

Text

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

PropertiesDialog Method

Description

Shows the communications properties dialog box.

Syntax

Public Function PropertiesDialog() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


IScriptExtension Object

ByteCount
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

Receive Method

Description

Receives data from the communications port or modem.

Syntax

Public Function Receive( _
   Optional ByVal ByteCount As Variant _
) As String

Parameters

ByteCount

See Also

IScriptExtension Object


IScriptExtension Object

ReceiveLine Method

Description

Receives a line from the communications port or modem

Syntax

Public Function ReceiveLine() As String

See Also

IScriptExtension Object


IScriptExtension Object

Data
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

Send Method

Description

Sends data to the communications port or modem.

Syntax

Public Sub Send( _
   ByVal Data As String _
)

Parameters

Data

See Also

IScriptExtension Object


SaxComm Object

ShowSysInfo Method

Description

Displays communications system information.

Syntax

Public Sub ShowSysInfo()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Number
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

TranslatePhoneNumber Method

Description

Translates a phone number according to the current dial rules and location

Syntax

Public Function TranslatePhoneNumber( _
   ByVal Number As String _
) As String

Parameters

Number

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


WaitFor Method

IScriptExtension Object

Text1
Text2
Text3
Text4
Text5
Text6
Text7
Text8
Text9
Text10
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

WaitFor Method

Description

Read until a specific sequence of characters is read.

Syntax

Public Function WaitFor( _
   ByVal Text1 As Variant, _
   Optional ByVal Text2 As Variant, _
   Optional ByVal Text3 As Variant, _
   Optional ByVal Text4 As Variant, _
   Optional ByVal Text5 As Variant, _
   Optional ByVal Text6 As Variant, _
   Optional ByVal Text7 As Variant, _
   Optional ByVal Text8 As Variant, _
   Optional ByVal Text9 As Variant, _
   Optional ByVal Text10 As Variant _
) As String

Parameters

Text1
Text2
Text3
Text4
Text5
Text6
Text7
Text8
Text9
Text10

See Also

IScriptExtension Object


SaxComm Object

AbortTransfer Property

Description

Determines whether the current file transfer should be aborted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AbortTransfer() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

AnswerCalls Property

Description

Determines whether incoming phone calls should be answered.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AnswerCalls() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

AutoReceive Property

Description

Determines whether serial input should be processed automatically.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoReceive() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

AutoScrollColumn Property

Description

Determines wheter the control should scroll to make the current column visible when something is printed to the terminal.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoScrollColumn() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

AutoScrollKeyboard Property

Description

Determines whether the control should scroll to make the cursor visible when a key is pressed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoScrollKeyboard() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

AutoScrollRow Property

Description

Determines whether the control should scroll to make the current row visible when something is printed to the terminal.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoScrollRow() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

AutoSend Property

Description

Determines whether keyboard input in the terminal window should be processed automatically and sent to the communications port.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoSend() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

AutoZModem Property

Description

Determines whether ZModem downloads should automatically start.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoZModem() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

BackColor Property

Description

Returns/sets the background color used to display text and graphics in an object.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As TerminalColor

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

BackSpace Property

Description

Determines how pressing the Backspace key is handled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackSpace() As BackSpace

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

BorderStyle Property

Description

Determines the type of border.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderStyle() As CommBorderStyle

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Break Property

Description

Determines the state of the communications break signal.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Break() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Busy Property

Description

Indicates whether the control's parent form can be unloaded.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Busy() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CaptureFilename Property

Description

Determines the name of the file that contains a log file of all terminal activity.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptureFilename() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CaptureMode Property

Description

Indicates which method is used to filter the characters that are written to the capture file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptureMode() As CaptureMode

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CDHolding Property

Description

Determines the state of the carrier detect signal.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CDHolding() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CDTimeOut Property

Description

Determines the state of the carrier detect signal.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CDTimeOut() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

ColorFilter Property

Description

Determines the type of color filtering that is used when painting the terminal window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorFilter() As ColorFilter

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Columns Property

Description

Determines the number of columns in the terminal screen. Changing this property resets the terminal contents.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Columns() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Command
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

CommandState Property

Description

Determines whether commands are enabled, disabled, or invisible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommandState( _
   ByVal Command As CommCommand _
) As CommandState

Parameters

Command
Value | Description
CommCommand_New | New Project.
CommCommand_Open | Open Project.
CommCommand_Save | Save Project.
CommCommand_SaveAs | Save Project As...
CommCommand_Copy | Copy Selection
CommCommand_Paste | Paste to comm port.
CommCommand_Connect | Dial or connect.
CommCommand_Disconnect | Disconnect.
CommCommand_SendFile | Send File.
CommCommand_ReceiveFile | Receive File.
CommCommand_Properties | Properties.
CommCommand_Font | Font.
CommCommand_PortProperties | Modem or serial port properties.
CommCommand_SysInfo | Show communications system information.

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommEcho Property

Description

Determines wheter incoming characters should be echoed back to the comm port.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommEcho() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommError Property

Description

Returns the error code for the last operation that was done using this custom control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CommError() As CommError

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommEvent Property

Description

Included for backward compatibility with the MSComm control

Property type

Read-only property

Syntax (Visual Basic)

Public Property CommEvent() As CommEvent

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommID Property

Description

Determines the Windows API handle of the communications port

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommID() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommPort Property

Description

Determines the communications port that the control uses. 1 = COM1, 2 = COM2, etc.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommPort() As Variant

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommPorts Property

Description

Collection of available ports

Property type

Read-only property

Syntax (Visual Basic)

Public Property CommPorts() As CommPort

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommSpy Property

Description

Determines whether communications activities are written to the Sax CommSpy event log.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommSpy() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommSpyEvents Property

Description

Determines whether communications events are written to the Sax CommSpy event log.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommSpyEvents() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommSpyInput Property

Description

Determines whether data that is read from the comm port is also written to the Sax CommSpy event log.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommSpyInput() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommSpyOutput Property

Description

Determines whether data that is written to the comm port is also written to the Sax CommSpy event log.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommSpyOutput() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommSpyProperties Property

Description

Determines whether property set/get and methods are written to the Sax CommSpy event log.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommSpyProperties() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommSpyTransfer Property

Description

Determines whether transfer information should be written to the CommSpy log

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommSpyTransfer() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CommSpyWarnings Property

Description

Determines whether warning messages are written to the Sax CommSpy event log.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommSpyWarnings() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Config Property

Description

Determines the configuration of the currently selected modem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Config() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Contents Property

Description

Determines the contents of the terminal window, not including the scrollback buffer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Contents() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CTSHolding Property

Description

Determines the state of the Clear To Send signal

Property type

Read-only property

Syntax (Visual Basic)

Public Property CTSHolding() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CTSTimeOut Property

Description

Determines the number of milliseconds that the communications driver should wait for the CTS signal to be high.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CTSTimeOut() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CursorColumn Property

Description

Determines the current column of the text cursor in the terminal window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CursorColumn() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CursorRow Property

Description

Determines the current row of the text cursor in the terminal window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CursorRow() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

DialStatusDialog Property

Description

Determines the type of dial status dialog box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DialStatusDialog() As StatusDialog

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

RHS
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

Display Property

Description

Prints text to the terminal without sending it to the communications port.

Property type

Write-only property

Syntax (Visual Basic)

Public Property Display( _
   ByVal RHS As String _
) As String

Parameters

RHS

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

RHS
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

DisplayLine Property

Description

Prints text to the terminal without sending it to the communications port.

Property type

Write-only property

Syntax (Visual Basic)

Public Property DisplayLine( _
   ByVal RHS As String _
) As String

Parameters

RHS

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

RHS
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

Download Property

Description

Assigning a value to this property starts a transfer, or adds the filename to the queue.

Property type

Write-only property

Syntax (Visual Basic)

Public Property Download( _
   ByVal RHS As String _
) As String

Parameters

RHS

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

DSRHolding Property

Description

Determines the state of the DSR signal.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DSRHolding() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

DSRTimeOut Property

Description

Determines the number of miliseconds that the communications should wait for the DSR signal to be high.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DSRTimeOut() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

DTREnable Property

Description

property DTREnable

Property type

Read-write property

Syntax (Visual Basic)

Public Property DTREnable() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

DTRHolding Property

Description

Determines the state of the DTR signal.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DTRHolding() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Echo Property

Description

Determines whether characters that are sent to the communications port should be displayed in the terminal window automatically.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Echo() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Emulation Property

Description

Determines the type of terminal emulation used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Emulation() As Emulation

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Enabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

EndOfLineMode Property

Description

Determines how the control functions when the end of a terminal line is reached.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EndOfLineMode() As EndOfLineMode

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

RHS
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

FillModemCombo Property

Description

Assigning the hWnd property of a ComboBox control to this property fills the list with modem names.

Property type

Write-only property

Syntax (Visual Basic)

Public Property FillModemCombo( _
   ByVal RHS As Long _
) As Long

Parameters

RHS

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

RHS
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

FillModemList Property

Description

Assigning the hWnd property of a ComboBox control to this property fills the list with modem names.

Property type

Write-only property

Syntax (Visual Basic)

Public Property FillModemList( _
   ByVal RHS As Long _
) As Long

Parameters

RHS

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Font Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

ForeColor Property

Description

Returns/sets the foreground color used to display text and graphics in an object.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As TerminalColor

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Handshaking Property

Description

Determines the type of handshaking that the communications device uses.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Handshaking() As Handshaking

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

HangUp Property

Description

When you read this property, the control terminates the connection. If the hang up succeeds, the property returns True.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HangUp() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

IgnoreOnComm Property

Description

Determines whether the OnComm event should be fired for backward compatibility.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IgnoreOnComm() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

InBufferCount Property

Description

Determines the number of characters waiting in the input buffer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InBufferCount() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

InBufferSize Property

Description

Determines the size of the communications driver's input buffer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InBufferSize() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

InitModem Property

Description

When you check the value of this property, it tries to initialize the modem and returns True if successful.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InitModem() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

InitModemForAnswer Property

Description

When you check the value of this property, it tries to initialize the modem to answer incoming calls and returns True if successful.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InitModemForAnswer() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Input Property

Description

Reads characters from the input port

Property type

Read-only property

Syntax (Visual Basic)

Public Property Input() As Variant

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

InputEcho Property

Description

Determines whether characters that are read using any of the input properties should automatically be displayed in the terminal window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InputEcho() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

InputLen Property

Description

Determines the number of bytes that should be read using the Input property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InputLen() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

InputMode Property

Description

Determines the type of date returned by the Input property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InputMode() As CommInputMode

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

InTimeOut Property

Description

Determines the number of milliseconds to wait for input.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InTimeOut() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

LineInput Property

Description

Reads a line of text from the port

Property type

Read-only property

Syntax (Visual Basic)

Public Property LineInput() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Location Property

Description

Determines the current location for Telephony

Property type

Read-write property

Syntax (Visual Basic)

Public Property Location() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Locations Property

Description

Collection of Locations

Property type

Read-only property

Syntax (Visual Basic)

Public Property Locations() As TapiLocation

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

LookUp Property

Description

Looks for strings that come from the serial communications port.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LookUp() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

LookUpInput Property

Description

After accessing the LookUp property, LookUpInput contains the last LookUpInputLen characters that were read before the lookup string was found or a timeout occured.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LookUpInput() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

LookUpInputLen Property

Description

Determines the number of characters to store before a lookup string is found.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LookUpInputLen() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

LookUpSeparator Property

Description

Determines the character used to separate differents strings to be searched for in the LookUpText property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LookUpSeparator() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

LookUpText Property

Description

Determines which strings the control should look for when LookUp is read.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LookUpText() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

LookUpTimeOut Property

Description

Determines the number of milliseconds to wait for a lookup string when accessing the LookUp property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LookUpTimeOut() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

NullDiscard Property

Description

Determines whether null characters should be ignored.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NullDiscard() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

OutBufferCount Property

Description

Determines the number of characters in the output buffer that are waiting to be sent.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OutBufferCount() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

OutBufferSize Property

Description

Determines the size in bytes of the communication driver's output buffer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OutBufferSize() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

RHS
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

Output Property

Description

Writes characters to the communications port.

Property type

Write-only property

Syntax (Visual Basic)

Public Property Output( _
   ByVal RHS As Variant _
) As Variant

Parameters

RHS

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

RHS
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

OutputLine Property

Description

Writes characters to the communications port and appends a carriage return character.

Property type

Write-only property

Syntax (Visual Basic)

Public Property OutputLine( _
   ByVal RHS As String _
) As String

Parameters

RHS

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

RHS
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

OutputModem Property

Description

Write characters to the communications port.

Property type

Write-only property

Syntax (Visual Basic)

Public Property OutputModem( _
   ByVal RHS As String _
) As String

Parameters

RHS

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

OutTimeOut Property

Description

Determines the number of miliseconds the control waits for room in the output buffer

Property type

Read-write property

Syntax (Visual Basic)

Public Property OutTimeOut() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

ParityReplace Property

Description

Determines whether incoming characters that have a parity error should be replaced, and if so, with what character.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ParityReplace() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

RHS
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

Pause Property

Description

Causes the control to pause for the specified number of miliseconds.

Property type

Write-only property

Syntax (Visual Basic)

Public Property Pause( _
   ByVal RHS As Long _
) As Long

Parameters

RHS

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

PhoneNumber Property

Description

Determines the phone number that is used when using a modem

Property type

Read-write property

Syntax (Visual Basic)

Public Property PhoneNumber() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

PortOpen Property

Description

Determines whether the communications port is open.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PortOpen() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

PortStatus Property

Description

Determines thet status of the current connection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PortStatus() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

ProjectFilename Property

Description

Determines the filename of the current communications project.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ProjectFilename() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Rows Property

Description

Determines the number of rows in the terminal screen. Changing this property resets the terminal contents.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Rows() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

RThreshold Property

Description

Determines the minimum number of characters that have to be in the input buffer before a Receive event is generated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RThreshold() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

RTSEnable Property

Description

Determines whether the RTS signal should be high.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RTSEnable() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

ScriptExtension Property

Description

Returns an object that is used to extend a scripting language with communications commands.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ScriptExtension() As ScriptExtension

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

ScrollContents Property

Description

Determines the contents of the scrollback buffer, excluding the terminal window.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ScrollContents() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

ScrollRows Property

Description

Determines the number of rows in the terminal's scrollback buffer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollRows() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

SelLength Property

Description

Determines the length of the current selection.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelLength() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

SelStart Property

Description

Determines the start position of the current selection, or the position of the cursor in the terminal window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelStart() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

SelText Property

Description

Determines the currently selected text.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SelText() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

SerialNumber Property

Description

SerialNumber

Property type

Read-write property

Syntax (Visual Basic)

Public Property SerialNumber() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Settings Property

Description

Determines the current communications port settings.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Settings() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

ShutDown Property

Description

Determines whether the control should terminate all wait operations.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShutDown() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

StatusbarVisible Property

Description

Determines whether the statusbar is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StatusbarVisible() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

SThreshold Property

Description

Determines the maximum number of characters that need to be in the output buffer before a Send event is generated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SThreshold() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

ToolbarVisible Property

Description

Determines whether the toolbar is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolbarVisible() As Boolean

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

RHS
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

Upload Property

Description

Assigning a value to this property starts the transfer, or adds the file to the queue.

Property type

Write-only property

Syntax (Visual Basic)

Public Property Upload( _
   ByVal RHS As String _
) As String

Parameters

RHS

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


IScriptExtension Object

WaitForTimeOut Property

Description

The number of miliseconds the WaitFor method should wait.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WaitForTimeOut() As Long

See Also

IScriptExtension Object


SaxComm Object

XferDestFilename Property

Description

For a download, determines the name of the file as reported by the remote computer. For an upload, it determines the original filename on your PC.

Property type

Read-write property

Syntax (Visual Basic)

Public Property XferDestFilename() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

XferFileSize Property

Description

Determines the size in bytes of the file being transferred.

Property type

Read-only property

Syntax (Visual Basic)

Public Property XferFileSize() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

XferMessage Property

Description

Determines the current status of the transfer, in a text that is readable for the user.

Property type

Read-only property

Syntax (Visual Basic)

Public Property XferMessage() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

XferPath Property

Description

Determines the default path for file transfers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property XferPath() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

XferProtocol Property

Description

Determines the current file transfer protocol.

Property type

Read-write property

Syntax (Visual Basic)

Public Property XferProtocol() As XferProtocol

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

XferSourceFilename Property

Description

For a download, determines the name of the file as reported by the remote computer. For a download, determines the name of the file on your PC.

Property type

Read-only property

Syntax (Visual Basic)

Public Property XferSourceFilename() As String

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

XferStatus Property

Description

Determines the state of the current file transfer.

Property type

Read-only property

Syntax (Visual Basic)

Public Property XferStatus() As XferStatus

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

XferStatusDialog Property

Description

Determines the type of transfer status dialog box that should be used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property XferStatusDialog() As StatusDialog

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

XferTransferred Property

Description

Determines the total number of bytes transferred during a file transfer.

Property type

Read-only property

Syntax (Visual Basic)

Public Property XferTransferred() As Long

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

AbortFile Event

Description

Called when the transfer of the current file is aborted.

Syntax

Public Event AbortFile()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

AbortFileTransfer Event

Description

Called when the transfer is aborted.

Syntax

Public Event AbortFileTransfer()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CarrierChanged Event

Description

Called when the status of the carrier detect line is changed.

Syntax

Public Event CarrierChanged()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Click Event

Description

Called when the user clicks inside the control.

Syntax

Public Event Click()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Command
Cancel
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

Command Event

Description

Called before a toolbar command is executed..

Syntax

Public Event Command( _
   ByVal Command As CommCommand, _
   ByRef Cancel As Boolean _
)

Parameters

Command
Value | Description
CommCommand_New | New Project.
CommCommand_Open | Open Project.
CommCommand_Save | Save Project.
CommCommand_SaveAs | Save Project As...
CommCommand_Copy | Copy Selection
CommCommand_Paste | Paste to comm port.
CommCommand_Connect | Dial or connect.
CommCommand_Disconnect | Disconnect.
CommCommand_SendFile | Send File.
CommCommand_ReceiveFile | Receive File.
CommCommand_Properties | Properties.
CommCommand_Font | Font.
CommCommand_PortProperties | Modem or serial port properties.
CommCommand_SysInfo | Show communications system information.
Cancel

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

CTSChanged Event

Description

Called when the state of the CTS signal has changed.

Syntax

Public Event CTSChanged()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

DblClick Event

Description

Called when the user double-clicks on the terminal window.

Syntax

Public Event DblClick()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

DSRChanged Event

Description

Called when the state of the DSR signal has changed.

Syntax

Public Event DSRChanged()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

FinishFile Event

Description

Called when a file has been successfully transferred.

Syntax

Public Event FinishFile()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

FinishFileTransfer Event

Description

Called when the file transfer was succesfully completed.

Syntax

Public Event FinishFileTransfer()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Hide Event

Description

Called when the control is hidden.

Syntax

Public Event Hide()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Keycode
Shift
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

KeyDown Event

Description

Called when the user presses a key while the control has focus.

Syntax

Public Event KeyDown( _
   ByRef Keycode As Integer, _
   ByRef Shift As Integer _
)

Parameters

Keycode
Shift

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

KeyAscii
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

KeyPress Event

Description

Called when the user presses a key while the control has focus.

Syntax

Public Event KeyPress( _
   ByRef KeyAscii As Integer _
)

Parameters

KeyAscii

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Keycode
Shift
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

KeyUp Event

Description

Called when the user releases a key while the control has focus.

Syntax

Public Event KeyUp( _
   ByRef Keycode As Integer, _
   ByRef Shift As Integer _
)

Parameters

Keycode
Shift

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

LookUp Event

Description

Called when a lookup string is detected and AutoReceive is True

Syntax

Public Event LookUp()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Button
Shift
X
Y
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

MouseDown Event

Description

Called when a mouse button is pressed while mouse is over terminal window.

Syntax

Public Event MouseDown( _
   ByRef Button As Integer, _
   ByRef Shift As Integer, _
   ByRef X As Single, _
   ByRef Y As Single _
)

Parameters

Button
Shift
X
Y

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Button
Shift
X
Y
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

MouseMove Event

Description

Called when the mouse moves over the terminal window.

Syntax

Public Event MouseMove( _
   ByRef Button As Integer, _
   ByRef Shift As Integer, _
   ByRef X As Single, _
   ByRef Y As Single _
)

Parameters

Button
Shift
X
Y

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Button
Shift
X
Y
See Also Sax CommStudio ActiveX Components Summer 2005 Send comments on this topic.

MouseUp Event

Description

Called when a mouse button is released while mouse is over terminal window.

Syntax

Public Event MouseUp( _
   ByRef Button As Integer, _
   ByRef Shift As Integer, _
   ByRef X As Single, _
   ByRef Y As Single _
)

Parameters

Button
Shift
X
Y

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

NewConnection Event

Description

Fired when a new connection is established.

Syntax

Public Event NewConnection()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

OnComm Event

Description

Included for backward compatibility with the MSComm control.

Syntax

Public Event OnComm()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Paint Event

Description

Called when the control needs to be repainted.

Syntax

Public Event Paint()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

PrepareFile Event

Description

Called immediately before a file transfer.

Syntax

Public Event PrepareFile()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Receive Event

Description

Called when RThreshold or more characters are in the input buffer.

Syntax

Public Event Receive()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Ring Event

Description

Called when the Ring signal has changed.

Syntax

Public Event Ring()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Send Event

Description

Called when SThreshold or less charactrs are in the output buffer.

Syntax

Public Event Send()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

Show Event

Description

Called when the control is made visible.

Syntax

Public Event Show()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

StartFile Event

Description

Called when a new file is transferred.

Syntax

Public Event StartFile()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

TransferBlock Event

Description

Called when a block (usually 128 or 1024 bytes) has been transferred.

Syntax

Public Event TransferBlock()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


SaxComm Object

WaitForFile Event

Description

Called when the transfer engine is waiting for a file to be transferred.

Syntax

Public Event WaitForFile()

See Also

SaxComm Object

Copyright © 1994-2005, Sax Software Corp. All Rights Reserved.


AutoSize Enumeration

Members

Member | Description
AutoSize_None | The control is not sized automatically.
AutoSize_Terminal | The terminal window fits the screen exactly.
AutoSize_Parent | The terminal window is as big as its form's client area.


BackSpace Enumeration

Members

Member | Description
BackSpace_Destructive | The backspace character moves the cursor one position to the left and erases the character that the cursor is on.
BackSpace_NonDestructive | The backspace character moves the cursor one position to the left. The character on the cursor is not erased.


CaptureMode Enumeration

Members

Member | Description
Capture_Standard | All color and screen codes are filtered and only the plain ASCII text is saved.
Capture_Binary | Nothing is filtered and all codes and text are written directly to the file. When you send the file contents to the terminal window, you get a perfect replay of your terminal session.
Capture_Visible | All text is saved without codes as it appears on the screen. This gives the best results if you are working with BBS systems that use ANSI screen painters.


ColorFilter Enumeration

Members

Member | Description
ColorFilter_Full | No color filtering is used and everything is painted in color.
ColorFilter_Gray | Color attributes are converted to black, gray,or white.The color filter is useful when your program is running on a laptop with an LCD screen or on a desktop computer that has a monochrome screen.
ColorFilter_BW | All color is converted to black or white.


CommandState Enumeration

Members

Member | Description
CommandState_Disabled | Command is visible but not enabled.
CommandState_Enabled | Command is enabled.
CommandState_Hidden | Command is not visible.


CommBorderStyle Enumeration

Members

Member | Description
CommBorderStyle_None | No border.
CommBorderStyle_Single | Single line.


CommCommand Enumeration

Members

Member | Description
CommCommand_New | New Project.
CommCommand_Open | Open Project.
CommCommand_Save | Save Project.
CommCommand_SaveAs | Save Project As...
CommCommand_Copy | Copy Selection
CommCommand_Paste | Paste to comm port.
CommCommand_Connect | Dial or connect.
CommCommand_Disconnect | Disconnect.
CommCommand_SendFile | Send File.
CommCommand_ReceiveFile | Receive File.
CommCommand_Properties | Properties.
CommCommand_Font | Font.
CommCommand_PortProperties | Modem or serial port properties.
CommCommand_SysInfo | Show communications system information.


CommError Enumeration

Members

Member | Description
Error_None | No error!
Error_Break | Break signal detected.
Error_CtsTimeOut | Comm-driver timeout waiting for CTS signal.
Error_DsrTimeOut | Comm-driver timeout waiting for DSR signal.
Error_FrameError | Framing error—This is usually caused by an incorrect speed.
Error_InputTimeOut | Comm-driver timeout waiting for input.
Error_DataOverrun | The Windows comm driver could not place incoming characters into the input buffer quickly enough. This means that the speed is too high for your computer, or that too many other things were going on for the processor to react in time.
Error_CarrierTimeOut | Comm-driver timeout waiting for input.
Error_ReceiveBufferOverflow | The receive buffer was not large enough to BufferOverflow handle incoming characters. Use the InBufferSize property to make it larger, or use handshaking.
Error_Parity | An incoming character had an incorrect parity bit.
Error_SendBufferOverflow | The transmit buffer was not large enough to BufferOverflow handle the output you sent. Check the OutBufferCount property to determine whether there is enough room in the buffer for the characters you want to send.


CommEvent Enumeration

Members

Member | Description
Event_Send | Corresponds to the Send event
Event_Receive | Corresponds to the Receive event.
Event_Cts | Corresponds to the CTSChanged event.
Event_Dsr | Corresponds to the DSRChanged event.
Event_Carrier | Corresponds to the CarrierChanged event
Event_Ring | Corresponds to the Ring event
Event_Eof | Corresponds to the EOF event
Event_Transfer | Can corresponds to any of the file transfer events.


CommInputMode Enumeration

Members

Member | Description
InputMode_Text | Input property returns a string.
InputMode_Binary | Input property returns a byte array.


Emulation Enumeration

Members

Member | Description
Emulation_None | Terminal emulation is not active.
Emulation_TTY | Standard TTY (teletype) emulation.
Emulation_Ansi | PC ANSI emulation.
Emulation_VT52 | VT52 emulation.
Emulation_VT100 | VT100 emulation.


EndOfLineMode Enumeration

Members

Member | Description
EndOfLineMode_NextLine | Move to the next line
EndOfLineMode_DoNothing | Ignore text beyond the last column
EndOfLineMode_WrapLine | Move to the first column of the current line.
EndOfLineMode_WrapScreen | Move to the upper left corner of the screen.


Handshaking Enumeration

Members

Member | Description
Handshaking_None | No handshaking
Handshaking_XonXoff | XOn/XOff (software) handshaking
Handshaking_Hardware | CTS/RTS (hardware) handshaking
Handshaking_Both | Both hardware and software handshaking.
Handshaking_Default | Uses the default for the current port or modem.


PortType Enumeration

Members

Member | Description
PortType_Unknown | Unknown port type.
PortType_Serial | Serial communications port.
PortType_Modem | Modem name.


StatusDialog Enumeration

Members

Member | Description
Dialog_Hidden | No status dialog box is shown.
Dialog_Modal | The status dialog box is modal. The user cannot access the application’s main window.
Dialog_Modeless | The status dialog box is modeless. The user can access any application window.


TerminalColor Enumeration

Members

Member | Description
Black | Black
Blue | Blue
Green | Green
Cyan | Cyan
Red | Red
Magenta | Magenta
Brown | Brown
LightGray | Light Gray
DarkGray | Dark Gray
LightBlue | Light Blue
LightGreen | Light Green
LightCyan | Light Cyan
LightRed | Light Red
LightMagenta | Light Magenta
Yellow | Yellow
White | White


XferProtocol Enumeration

Members

Member | Description
Protocol_XModemChecksum | XModem Checksum
Protocol_XModemCRC | XModem CRC
Protocol_XModem1K | XModem 1K
Protocol_YModem | YModem
Protocol_YModemG | YModem-G
Protocol_ZModem | ZModem
Protocol_Kermit | Kermit


XferStatus Enumeration

Members

Member | Description
TransferStatus_Failure | The file transfer has terminated unsuccessfully
TransferStatus_Success | The file transfer completed successfully.
TransferStatus_WaitForFile | The file-transfer engine is waiting for the next file to be transferred.
TransferStatus_Prepare | A file is about to be transferred. The source and destination filenames are already known, but can still be modified.
TransferStatus_Starting | A file transfer is being started.
TransferStatus_Transfering | A file is currently being transferred.
TransferStatus_FileAbort | The file transfer of the current file has been aborted.
TransferStatus_TransferAborting | The user or the remote site has indicated that the file transfer should be cancelled.
TransferStatus_EndOfFile | The file transfer of the current file was completed successfully.


Project Overview

Description

Sax CommStudio ActiveX Components Summer 2005

Classes

Class Module | Description
IScriptExtension | IScriptExtension Interface
SaxComm | Sax Comm Object

Public Enumerations

Enumeration | Description
AutoSize |
BackSpace |
CaptureMode |
ColorFilter |
CommandState |
CommBorderStyle |
CommCommand |
CommError |
CommEvent |
CommInputMode |
Emulation |
EndOfLineMode |
Handshaking |
PortType |
StatusDialog |
TerminalColor |
XferProtocol |
XferStatus |


Enumerations Members

Enumerations Object

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


Enumerations Overview

Enumerations Object Members

See Also

Enumerations Overview


IScriptExtension Members

IScriptExtension Object

Description

IScriptExtension Interface

For a list of all members defined in this module, see IScriptExtension members.

See Also

IScriptExtension Members


IScriptExtension Overview

IScriptExtension Object Members

Public Methods

Public Method Dial | Dial a phone number.
Public Method HangUp | Disconnects the modem connection.
Public Method Receive | Receives data from the communications port or modem.
Public Method ReceiveLine | Receives a line from the communications port or modem
Public Method Send | Sends data to the communications port or modem.
Public Method WaitFor | Read until a specific sequence of characters is read.

Public Properties

Public Property WaitForTimeOut The number of miliseconds the WaitFor method should wait.

See Also

IScriptExtension Overview


SaxComm Members

SaxComm Object

Description

Sax Comm Object

For a list of all members defined in this module, see SaxComm members.

See Also

SaxComm Members


SaxComm Overview

SaxComm Object Members

Public Methods

Public Method About | Displays the About box.
Public Method ContentsAt | Returns the text at the specified location
Public Method DoCommand | Simulates pressing a toolbar button
Public Method GetPortType | Determines the type of a communications port or modem name.
Public Method HostCLS | Sends clear screen codes to the host
Public Method HostColor | Sends color code attributes to the host
Public Method HostInput | Reads text input from the client and echos it back
Public Method HostInputKey | Waits for a keypress from the client
Public Method HostInputPassword | Reads text input from the client and echos asteriskes back
Public Method HostLocate | Sends cursor location codes to the host
Public Method HostPrint | Sends text to the host
Public Method PropertiesDialog | Shows the communications properties dialog box.
Public Method ShowSysInfo | Displays communications system information.
Public Method TranslatePhoneNumber | Translates a phone number according to the current dial rules and location

Public Properties

Public Property AbortTransfer | Determines whether the current file transfer should be aborted.
Public Property AnswerCalls | Determines whether incoming phone calls should be answered.
Public Property AutoReceive | Determines whether serial input should be processed automatically.
Public Property AutoScrollColumn | Determines wheter the control should scroll to make the current column visible when something is printed to the terminal.
Public Property AutoScrollKeyboard | Determines whether the control should scroll to make the cursor visible when a key is pressed.
Public Property AutoScrollRow | Determines whether the control should scroll to make the current row visible when something is printed to the terminal.
Public Property AutoSend | Determines whether keyboard input in the terminal window should be processed automatically and sent to the communications port.
Public Property AutoZModem | Determines whether ZModem downloads should automatically start.
Public Property BackColor | Returns/sets the background color used to display text and graphics in an object.
Public Property BackSpace | Determines how pressing the Backspace key is handled.
Public Property BorderStyle | Determines the type of border.
Public Property Break | Determines the state of the communications break signal.
Public Property Busy | Indicates whether the control's parent form can be unloaded.
Public Property CaptureFilename | Determines the name of the file that contains a log file of all terminal activity.
Public Property CaptureMode | Indicates which method is used to filter the characters that are written to the capture file.
Public Property CDHolding | Determines the state of the carrier detect signal.
Public Property CDTimeOut | Determines the state of the carrier detect signal.
Public Property ColorFilter | Determines the type of color filtering that is used when painting the terminal window.
Public Property Columns | Determines the number of columns in the terminal screen. Changing this property resets the terminal contents.
Public Property CommandState | Determines whether commands are enabled, disabled, or invisible.
Public Property CommEcho | Determines wheter incoming characters should be echoed back to the comm port.
Public Property CommError | Returns the error code for the last operation that was done using this custom control.
Public Property CommEvent | Included for backward compatibility with the MSComm control
Public Property CommID | Determines the Windows API handle of the communications port
Public Property CommPort | Determines the communications port that the control uses. 1 = COM1, 2 = COM2, etc.
Public Property CommPorts | Collection of available ports
Public Property CommSpy | Determines whether communications activities are written to the Sax CommSpy event log.
Public Property CommSpyEvents | Determines whether communications events are written to the Sax CommSpy event log.
Public Property CommSpyInput | Determines whether data that is read from the comm port is also written to the Sax CommSpy event log.
Public Property CommSpyOutput | Determines whether data that is written to the comm port is also written to the Sax CommSpy event log.
Public Property CommSpyProperties | Determines whether property set/get and methods are written to the Sax CommSpy event log.
Public Property CommSpyTransfer | Determines whether transfer information should be written to the CommSpy log
Public Property CommSpyWarnings | Determines whether warning messages are written to the Sax CommSpy event log.
Public Property Config | Determines the configuration of the currently selected modem.
Public Property Contents | Determines the contents of the terminal window, not including the scrollback buffer.
Public Property CTSHolding | Determines the state of the Clear To Send signal
Public Property CTSTimeOut | Determines the number of milliseconds that the communications driver should wait for the CTS signal to be high.
Public Property CursorColumn | Determines the current column of the text cursor in the terminal window.
Public Property CursorRow | Determines the current row of the text cursor in the terminal window.
Public Property DialStatusDialog | Determines the type of dial status dialog box.
Public Property Display | Prints text to the terminal without sending it to the communications port.
Public Property DisplayLine | Prints text to the terminal without sending it to the communications port.
Public Property Download | Assigning a value to this property starts a transfer, or adds the filename to the queue.
Public Property DSRHolding | Determines the state of the DSR signal.
Public Property DSRTimeOut | Determines the number of miliseconds that the communications should wait for the DSR signal to be high.
Public Property DTREnable | property DTREnable
Public Property DTRHolding | Determines the state of the DTR signal.
Public Property Echo | Determines whether characters that are sent to the communications port should be displayed in the terminal window automatically.
Public Property Emulation | Determines the type of terminal emulation used.
Public Property Enabled |
Public Property EndOfLineMode | Determines how the control functions when the end of a terminal line is reached.
Public Property FillModemCombo | Assigning the hWnd property of a ComboBox control to this property fills the list with modem names.
Public Property FillModemList | Assigning the hWnd property of a ComboBox control to this property fills the list with modem names.
Public Property Font |
Public Property ForeColor | Returns/sets the foreground color used to display text and graphics in an object.
Public Property Handshaking | Determines the type of handshaking that the communications device uses.
Public Property HangUp | When you read this property, the control terminates the connection. If the hang up succeeds, the property returns True.
Public Property IgnoreOnComm | Determines whether the OnComm event should be fired for backward compatibility.
Public Property InBufferCount | Determines the number of characters waiting in the input buffer.
Public Property InBufferSize | Determines the size of the communications driver's input buffer.
Public Property InitModem | When you check the value of this property, it tries to initialize the modem and returns True if successful.
Public Property InitModemForAnswer | When you check the value of this property, it tries to initialize the modem to answer incoming calls and returns True if successful.
Public Property Input | Reads characters from the input port
Public Property InputEcho | Determines whether characters that are read using any of the input properties should automatically be displayed in the terminal window.
Public Property InputLen | Determines the number of bytes that should be read using the Input property.
Public Property InputMode | Determines the type of date returned by the Input property.
Public Property InTimeOut | Determines the number of milliseconds to wait for input.
Public Property LineInput | Reads a line of text from the port
Public Property Location | Determines the current location for Telephony
Public Property Locations | Collection of Locations
Public Property LookUp | Looks for strings that come from the serial communications port.
Public Property LookUpInput | After accessing the LookUp property, LookUpInput contains the last LookUpInputLen characters that were read before the lookup string was found or a timeout occured.
Public Property LookUpInputLen | Determines the number of characters to store before a lookup string is found.
Public Property LookUpSeparator | Determines the character used to separate differents strings to be searched for in the LookUpText property.
Public Property LookUpText | Determines which strings the control should look for when LookUp is read.
Public Property LookUpTimeOut | Determines the number of milliseconds to wait for a lookup string when accessing the LookUp property.
Public Property NullDiscard | Determines whether null characters should be ignored.
Public Property OutBufferCount | Determines the number of characters in the output buffer that are waiting to be sent.
Public Property OutBufferSize | Determines the size in bytes of the communication driver's output buffer.
Public Property Output | Writes characters to the communications port.
Public Property OutputLine | Writes characters to the communications port and appends a carriage return character.
Public Property OutputModem | Write characters to the communications port.
Public Property OutTimeOut | Determines the number of miliseconds the control waits for room in the output buffer
Public Property ParityReplace | Determines whether incoming characters that have a parity error should be replaced, and if so, with what character.
Public Property Pause | Causes the control to pause for the specified number of miliseconds.
Public Property PhoneNumber | Determines the phone number that is used when using a modem
Public Property PortOpen | Determines whether the communications port is open.
Public Property PortStatus | Determines thet status of the current connection.
Public Property ProjectFilename | Determines the filename of the current communications project.
Public Property Rows | Determines the number of rows in the terminal screen. Changing this property resets the terminal contents.
Public Property RThreshold | Determines the minimum number of characters that have to be in the input buffer before a Receive event is generated.
Public Property RTSEnable | Determines whether the RTS signal should be high.
Public Property ScriptExtension | Returns an object that is used to extend a scripting language with communications commands.
Public Property ScrollContents | Determines the contents of the scrollback buffer, excluding the terminal window.
Public Property ScrollRows | Determines the number of rows in the terminal's scrollback buffer.
Public Property SelLength | Determines the length of the current selection.
Public Property SelStart | Determines the start position of the current selection, or the position of the cursor in the terminal window.
Public Property SelText | Determines the currently selected text.
Public Property SerialNumber | SerialNumber
Public Property Settings | Determines the current communications port settings.
Public Property ShutDown | Determines whether the control should terminate all wait operations.
Public Property StatusbarVisible | Determines whether the statusbar is visible.
Public Property SThreshold | Determines the maximum number of characters that need to be in the output buffer before a Send event is generated.
Public Property ToolbarVisible | Determines whether the toolbar is visible.
Public Property Upload | Assigning a value to this property starts the transfer, or adds the file to the queue.
Public Property XferDestFilename | For a download, determines the name of the file as reported by the remote computer. For an upload, it determines the original filename on your PC.
Public Property XferFileSize | Determines the size in bytes of the file being transferred.
Public Property XferMessage | Determines the current status of the transfer, in a text that is readable for the user.
Public Property XferPath | Determines the default path for file transfers.
Public Property XferProtocol | Determines the current file transfer protocol.
Public Property XferSourceFilename | For a download, determines the name of the file as reported by the remote computer. For a download, determines the name of the file on your PC.
Public Property XferStatus | Determines the state of the current file transfer.
Public Property XferStatusDialog | Determines the type of transfer status dialog box that should be used.
Public Property XferTransferred | Determines the total number of bytes transferred during a file transfer.

Events

Public Event AbortFile | Called when the transfer of the current file is aborted.
Public Event AbortFileTransfer | Called when the transfer is aborted.
Public Event CarrierChanged | Called when the status of the carrier detect line is changed.
Public Event Click | Called when the user clicks inside the control.
Public Event Command | Called before a toolbar command is executed..
Public Event CTSChanged | Called when the state of the CTS signal has changed.
Public Event DblClick | Called when the user double-clicks on the terminal window.
Public Event DSRChanged | Called when the state of the DSR signal has changed.
Public Event FinishFile | Called when a file has been successfully transferred.
Public Event FinishFileTransfer | Called when the file transfer was succesfully completed.
Public Event Hide | Called when the control is hidden.
Public Event KeyDown | Called when the user presses a key while the control has focus.
Public Event KeyPress | Called when the user presses a key while the control has focus.
Public Event KeyUp | Called when the user releases a key while the control has focus.
Public Event LookUp | Called when a lookup string is detected and AutoReceive is True
Public Event MouseDown | Called when a mouse button is pressed while mouse is over terminal window.
Public Event MouseMove | Called when the mouse moves over the terminal window.
Public Event MouseUp | Called when a mouse button is released while mouse is over terminal window.
Public Event NewConnection | Fired when a new connection is established.
Public Event OnComm | Included for backward compatibility with the MSComm control.
Public Event Paint | Called when the control needs to be repainted.
Public Event PrepareFile | Called immediately before a file transfer.
Public Event Receive | Called when RThreshold or more characters are in the input buffer.
Public Event Ring | Called when the Ring signal has changed.
Public Event Send | Called when SThreshold or less charactrs are in the output buffer.
Public Event Show | Called when the control is made visible.
Public Event StartFile | Called when a new file is transferred.
Public Event TransferBlock | Called when a block (usually 128 or 1024 bytes) has been transferred.
Public Event WaitForFile | Called when the transfer engine is waiting for a file to be transferred.

See Also

SaxComm Overview


Glossary

A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z


Documentation Overview

Description

Sax CommStudio ActiveX Components Summer 2005

Projects

Project | Description
CommStudio | Sax CommStudio ActiveX Components Summer 2005